{% extends 'layout.html.twig' %}

{% import 'macros.html.twig' as macros %}
{% import 'user/_navigation.html.twig' as nav %}

{% block content %}
  <h1>{{ 'user.action.list'|trans }}</h1>

  {{ form_start(form) }}
  <div class="row expanded collapse">
    <div class="medium-2 large-1 column">
      {{ form_widget(form.enabled) }}
    </div>
    <div class="medium-2 large-1 column">
      {{ form_widget(form.username) }}
    </div>
    <div class="medium-2 large-1 column">
      {{ form_widget(form.name) }}
    </div>
    <div class="medium-2 large-1 column">
      {{ form_widget(form.email) }}
    </div>
    <div class="medium-2 large-1 column end">
      <button class="button secondary" type="submit">{{ 'common.filter'|trans }}</button>
    </div>
  </div>
  {{ form_end(form) }}

  <div class="row expanded collapse">
    <div class="large-8 column end">
      <table class="hover">
        <thead>
          <tr>
            <th width="10%">{{ 'user.entity.enabled'|trans }}</th>
            <th width="10%">{{ 'user.entity.username'|trans }}</th>
            <th width="30%">{{ 'user.entity.name'|trans }}</th>
            <th width="30%">{{ 'user.entity.email'|trans }}</th>
            <th width="20%">{{ 'common.action'|trans }}</th>
          </tr>
        </thead>
        <tbody>
          {% for entity in entities %}
            <tr>
              <td>
                {% if entity.enabled %}
                  <span class="label success">{{ 'user.enabled.yes'|trans }}</span>
                {% else %}
                  <span class="label alert">{{ 'user.enabled.no'|trans }}</span>
                {% endif %}
              </td>
              <td>{{ entity.username }}</td>
              <td>{{ entity.name ? entity.name : '---' }}</td>
              <td>{{ entity.email ? entity.email : '---' }}</td>
              <td>
                {{ nav.actions(entity, {'read': true, 'update': true, 'delete': true}, false) }}
              </td>
            </tr>
          {% endfor %}
          {% if entities|length == 0 %}
            <tr>
              <td colspan="5">{{ 'common.noRecords'|trans }}</td>
            </tr>
          {% endif %}
        </tbody>
      </table>
    </div>
  </div>

  {{ macros.pagination(pagesCount, page) }}

  {{ nav.actions(null, {'create': true}) }}
{% endblock %}
